InputsOperations Class
InputsOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectInputsOperations
Constructor
InputsOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| begin_test |
Tests whether an input's datasource is reachable and usable by the Azure Stream Analytics service. |
| create_or_replace |
Creates an input or replaces an already existing input under an existing streaming job. |
| delete |
Deletes an input from the streaming job. |
| get |
Gets details about the specified input. |
| list_by_streaming_job |
Lists all of the inputs under the specified streaming job. |
| update |
Updates an existing input under an existing streaming job. This can be used to partially update (ie. update one or two properties) an input without affecting the rest the job or input definition. |
begin_test
Tests whether an input's datasource is reachable and usable by the Azure Stream Analytics service.
begin_test(resource_group_name: str, job_name: str, input_name: str, input: Optional[models.Input] = None, **kwargs: Any) -> LROPoller[models.ResourceTestStatus]
Parameters
- input
- <xref:stream_analytics_management_client.models.Input>
If the input specified does not already exist, this parameter must contain the full input definition intended to be tested. If the input specified already exists, this parameter can be left null to test the existing input as is or if specified, the properties specified will overwrite the corresponding properties in the existing input (exactly like a PATCH operation) and the resulting input will be tested.
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either ResourceTestStatus or the result of cls(response)
Return type
Exceptions
create_or_replace
Creates an input or replaces an already existing input under an existing streaming job.
create_or_replace(resource_group_name: str, job_name: str, input_name: str, input: models.Input, if_match: Optional[str] = None, if_none_match: Optional[str] = None, **kwargs: Any) -> models.Input
Parameters
- input
- <xref:stream_analytics_management_client.models.Input>
The definition of the input that will be used to create a new input or replace the existing one under the streaming job.
- if_match
- str
The ETag of the input. Omit this value to always overwrite the current input. Specify the last-seen ETag value to prevent accidentally overwriting concurrent changes.
- if_none_match
- str
Set to '*' to allow a new input to be created, but to prevent updating an existing input. Other values will result in a 412 Pre-condition Failed response.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Input, or the result of cls(response)
Return type
Exceptions
delete
Deletes an input from the streaming job.
delete(resource_group_name: str, job_name: str, input_name: str, **kwargs: Any) -> None
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
None, or the result of cls(response)
Return type
Exceptions
get
Gets details about the specified input.
get(resource_group_name: str, job_name: str, input_name: str, **kwargs: Any) -> models.Input
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Input, or the result of cls(response)
Return type
Exceptions
list_by_streaming_job
Lists all of the inputs under the specified streaming job.
list_by_streaming_job(resource_group_name: str, job_name: str, select: Optional[str] = None, **kwargs: Any) -> Iterable[models.InputListResult]
Parameters
- select
- str
The $select OData query parameter. This is a comma-separated list of structural properties to include in the response, or "" to include all properties. By default, all properties are returned except diagnostics. Currently only accepts '' as a valid value.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either InputListResult or the result of cls(response)
Return type
Exceptions
update
Updates an existing input under an existing streaming job. This can be used to partially update (ie. update one or two properties) an input without affecting the rest the job or input definition.
update(resource_group_name: str, job_name: str, input_name: str, input: models.Input, if_match: Optional[str] = None, **kwargs: Any) -> models.Input
Parameters
- input
- <xref:stream_analytics_management_client.models.Input>
An Input object. The properties specified here will overwrite the corresponding properties in the existing input (ie. Those properties will be updated). Any properties that are set to null here will mean that the corresponding property in the existing input will remain the same and not change as a result of this PATCH operation.
- if_match
- str
The ETag of the input. Omit this value to always overwrite the current input. Specify the last-seen ETag value to prevent accidentally overwriting concurrent changes.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Input, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.streamanalytics.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\streamanalytics\\models\\__init__.py'>
Feedback
Submit and view feedback for